---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3694c04d-97cb-5950-b895-82942177182f
      tier: AATSR_CMP_MONTH
      value: 0.03000332973897457
    brdf:
      alpha_1:
        band_1: 0.3462601553008758
        band_11: 0.2099996918119991
        band_12: 0.047531293477096705
        band_2: 0.3462601553008758
        band_3: 0.6289030164475841
        band_4: 0.3326450655316589
        band_5: 0.3326450655316589
        band_6: 0.3326450655316589
        band_7: 0.969712134612259
        band_8: 0.969712134612259
        band_8a: 0.969712134612259
      alpha_2:
        band_1: 0.2587026591222287
        band_11: 0.21592207022961554
        band_12: 0.2879318258612662
        band_2: 0.2587026591222287
        band_3: 0.1786905655992465
        band_4: 0.24426803323559126
        band_5: 0.24426803323559126
        band_6: 0.24426803323559126
        band_7: 0.04824713691632815
        band_8: 0.04824713691632815
        band_8a: 0.04824713691632815
      id:
      - 81f39b08-77d7-5b9c-bac2-74088d17f731
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - 074e7f39-7999-5ddb-8c37-cf768199afba
      tier: DEFINITIVE
      value: 4.470000076293945
  id: 6da4660c-3d3a-4768-ab76-49058d131796
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1949.7470733740518
      BAND-11: 239.76162386075424
      BAND-12: 83.88433623954518
      BAND-2: 2001.7430793083213
      BAND-3: 1875.8325649854985
      BAND-4: 1531.2159491418392
      BAND-5: 1413.7534947739662
      BAND-6: 1292.5696973132192
      BAND-7: 1188.142463877271
      BAND-8: 1044.6522192702432
      BAND-8A: 952.3336972001499
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-03-28 01:31:29.993291Z
    atime: 2022-08-07 04:29:44Z
    ctime: 2019-03-28 10:47:22Z
    mtime: 2019-03-28 10:47:16Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2019/2019-03/10S130E-15S135E/S2B_MSIL1C_20190328T012719_N0207_R131_T52LHJ_20190328T062044.zip
  system_information:
    hostname: gadi-cpu-clx-2265.gadi.nci.org.au
    runtime_id: 90389b7e-1609-11ed-b867-00000186fe80
    time_processed: 2022-08-07 04:29:44.832508Z
    uname: 'Linux gadi-cpu-clx-2265.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 10.0
    green: 1280.0
    red: 2.0
    teal: 161.0
    yellow: 7.0
  error_message: no errors
  final_qa_count: 1310
  granule: S2B_OPER_MSI_L1C_TL_SGS__20190328T062044_A010739_T52LHJ_N02.07
  ref_date: '2013-08-02T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/105/070/LC81050702013214LGN00_B6.TIF
  residual:
    abs:
      x: 0.2
      xy: 0.32
      y: 0.25
    abs_iterative_mean:
      x: 0.17
      xy: 0.26
      y: 0.2
    cep90: 0.46
    iterative_mean:
      x: 0.14
      xy: 0.23
      y: -0.19
    iterative_stddev:
      x: 0.14
      xy: 0.21
      y: 0.16
    mean:
      x: 0.15
      xy: 0.22
      y: -0.16
    stddev:
      x: 0.37
      xy: 0.54
      y: 0.39
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 96.41520101127733
    cloud: 2.10586560761245
    cloud_shadow: 1.463910206004625
    snow: 0.0016622373515681767
    water: 0.01336093775402205
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 93.00576308638657
    cloud: 6.994236913613425
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
